[Rubygems-developers] A case where --install-stub is insufficient

Gavin Sinclair gsinclair at soyabean.com.au
Sun Jun 20 09:55:30 EDT 2004


On Sunday, June 20, 2004, 8:33:00 PM, Chad wrote:

> # The upshot of this is that if you install 'extensions' as a gem, you
> # can only use it as a gem.  "require 'extensions/string'" won't work
> # because there's no 'extensions/string' in site_ruby.
> #
> # That doesn't bother me for my own use.  Just wondering if anyone has
> # any comments.
> #

> What about providing a list of files we want stubs for?  I've seen a
> couple of other more minor cases where this would be nice.

That sounds good to me, so long as it's not just me who wants it :)

Gavin



More information about the Rubygems-developers mailing list